Modify dataset
curl --request POST \
--url https://ai.data.cloud/api/v2/team/datasets/{id} \
--header 'Content-Type: application/json' \
--header 'x-pd-api-key: <api-key>' \
--data '
{
"name": "sales_data",
"description": "sales data of all regions",
"user_id": "tmm-dsadfdsafasdf"
}
'import requests
url = "https://ai.data.cloud/api/v2/team/datasets/{id}"
payload = {
"name": "sales_data",
"description": "sales data of all regions",
"user_id": "tmm-dsadfdsafasdf"
}
headers = {
"x-pd-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-pd-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'sales_data',
description: 'sales data of all regions',
user_id: 'tmm-dsadfdsafasdf'
})
};
fetch('https://ai.data.cloud/api/v2/team/datasets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ai.data.cloud/api/v2/team/datasets/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'sales_data',
'description' => 'sales data of all regions',
'user_id' => 'tmm-dsadfdsafasdf'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-pd-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ai.data.cloud/api/v2/team/datasets/{id}"
payload := strings.NewReader("{\n \"name\": \"sales_data\",\n \"description\": \"sales data of all regions\",\n \"user_id\": \"tmm-dsadfdsafasdf\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-pd-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://ai.data.cloud/api/v2/team/datasets/{id}")
.header("x-pd-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"sales_data\",\n \"description\": \"sales data of all regions\",\n \"user_id\": \"tmm-dsadfdsafasdf\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://ai.data.cloud/api/v2/team/datasets/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-pd-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"sales_data\",\n \"description\": \"sales data of all regions\",\n \"user_id\": \"tmm-dsadfdsafasdf\"\n}"
response = http.request(request)
puts response.read_body{
"code": 123,
"data": {}
}Datasets
Modify dataset
Modifies the name or description of specified dataset.
POST
/
v2
/
team
/
datasets
/
{id}
Modify dataset
curl --request POST \
--url https://ai.data.cloud/api/v2/team/datasets/{id} \
--header 'Content-Type: application/json' \
--header 'x-pd-api-key: <api-key>' \
--data '
{
"name": "sales_data",
"description": "sales data of all regions",
"user_id": "tmm-dsadfdsafasdf"
}
'import requests
url = "https://ai.data.cloud/api/v2/team/datasets/{id}"
payload = {
"name": "sales_data",
"description": "sales data of all regions",
"user_id": "tmm-dsadfdsafasdf"
}
headers = {
"x-pd-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-pd-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'sales_data',
description: 'sales data of all regions',
user_id: 'tmm-dsadfdsafasdf'
})
};
fetch('https://ai.data.cloud/api/v2/team/datasets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ai.data.cloud/api/v2/team/datasets/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'sales_data',
'description' => 'sales data of all regions',
'user_id' => 'tmm-dsadfdsafasdf'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-pd-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ai.data.cloud/api/v2/team/datasets/{id}"
payload := strings.NewReader("{\n \"name\": \"sales_data\",\n \"description\": \"sales data of all regions\",\n \"user_id\": \"tmm-dsadfdsafasdf\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-pd-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://ai.data.cloud/api/v2/team/datasets/{id}")
.header("x-pd-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"sales_data\",\n \"description\": \"sales data of all regions\",\n \"user_id\": \"tmm-dsadfdsafasdf\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://ai.data.cloud/api/v2/team/datasets/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-pd-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"sales_data\",\n \"description\": \"sales data of all regions\",\n \"user_id\": \"tmm-dsadfdsafasdf\"\n}"
response = http.request(request)
puts response.read_body{
"code": 123,
"data": {}
}Headers
Path Parameters
The ID of the dataset to modify. You can only modify the dataset that you created.
To check the datasets you have access to, call GET /v2/team/datasets.
Body
application/json
Your user ID, which uniquely identifies you within your team. To obtain your ID:
- If you're the team admin, refer to Check user information.
- If you're a system or virtual user, ask your team admin to check your user ID by referring to Check user information.
Response
200 - application/json
Status code. 0 indicates that the operation is successful. Otherwise, the operation fails. For error troubleshooting, refer to Error Codes.